"""correct std imaging rawdata transfer

Revision ID: c8e98a7d848e
Revises: e750ff99183f
Create Date: 2022-11-09 15:14:28.453633

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "c8e98a7d848e"
down_revision = "e750ff99183f"
branch_labels = None
depends_on = None

wrong_transfer = """+nrao_output_files = "working products"
"""
right_transfer = """+nrao_output_files = "rawdata working products"
"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{wrong_transfer}', E'{right_transfer}')::bytea
        WHERE filename = 'std_cms_imaging_envoy.condor'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{right_transfer}', E'{wrong_transfer}')::bytea
        WHERE filename = 'std_cms_imaging_envoy.condor'
        """
    )
